## yaml-mode 0.0.3

=== Makefile ===
VERSION=0.0.3
EMACS = emacs
PREFIX = /usr/local
INSTALLLIBDIR = $(PREFIX)/share/emacs/site-lisp
FLAGS = -batch -L $(INSTALLLIBDIR) -q -f batch-byte-compile
SRC = yaml-mode.el
INSTALL = /usr/bin/install -c -m 444

all: bytecompile

bytecompile:
	$(EMACS) $(FLAGS) $(SRC)

install: bytecompile
	$(INSTALL) yaml-mode.elc $(INSTALLLIBDIR)
	$(INSTALL) yaml-mode.el $(INSTALLLIBDIR)

uninstall:
	rm $(INSTALLLIBDIR)/yaml-mode.elc
	rm $(INSTALLLIBDIR)/yaml-mode.el

tardist:
	mkdir yaml-mode-$(VERSION)
	cp yaml-mode.el Makefile README Changes yaml-mode-$(VERSION)
	tar zcvf yaml-mode-$(VERSION).tar.gz yaml-mode-$(VERSION)
	rm -fr yaml-mode-$(VERSION)

clean:
	rm -fr \#*\# *.elc *~ *.tar.gz

## yaml-mode 0.0.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=0.0.3
+VERSION=0.0.4
 EMACS = emacs
 PREFIX = /usr/local
 INSTALLLIBDIR = $(PREFIX)/share/emacs/site-lisp

## yaml-mode 0.0.6

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=0.0.4
+VERSION=0.0.6
 EMACS = emacs
 PREFIX = /usr/local
 INSTALLLIBDIR = $(PREFIX)/share/emacs/site-lisp

## yaml-mode 0.0.7

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=0.0.6
+VERSION=0.0.7
 EMACS = emacs
 PREFIX = /usr/local
 INSTALLLIBDIR = $(PREFIX)/share/emacs/site-lisp

## yaml-mode 0.0.9

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=0.0.7
+VERSION=0.0.9
 EMACS = emacs
 PREFIX = /usr/local
 INSTALLLIBDIR = $(PREFIX)/share/emacs/site-lisp

=== debian/changelog ===
yaml-mode (0.0.9-2) unstable; urgency=medium

  * Drop explicit dependency on emacs23 (closes: #754030)
  * Already conforms to newer standards

 -- Vincent Fourmond <fourmond@debian.org>  Thu, 04 Sep 2014 21:59:22 +0200

yaml-mode (0.0.9-1) unstable; urgency=low

  [ Jari Aalto ]
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * rm debian/patches; according to deleted README.source: "as of version
    0.0.4-1, none of the patches are in use anymore."
  * Fix copyright-refers-to-symlink-license (Lintian).
  * Fix copyright-with-old-dh-make-debian-copyright (Lintian).
  * Fix debian-watch-contains-dh_make-template (Lintian).

  [ Vincent Fourmond ]
  * Incorporate Jari Alto's patch for switching to a more modern source 
    format (closes: #670735)
  * Update watch file
  * Update to newer upstream release (fixes problems with emacs24, 
    closes: #707819)

 -- Vincent Fourmond <fourmond@debian.org>  Wed, 22 May 2013 22:56:18 +0200

yaml-mode (0.0.7-1) unstable; urgency=low

  * New upstream release
  * Leave the symlinks behind after byte-compilation (closes: #595451)
  * Conforms to standards 3.9.1

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 12 Feb 2011 23:48:22 +0100

yaml-mode (0.0.6-1) unstable; urgency=low

  * New upstream release

 -- Vincent Fourmond <fourmond@debian.org>  Thu, 20 May 2010 22:04:43 +0200

yaml-mode (0.0.5-2) unstable; urgency=medium

  * Emacsen installation scripts now make sure the target file do not
    exist before symlinking (closes: #572562)
  * Urgency medium to fix RC bug in testing

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 06 Mar 2010 13:57:50 +0100

yaml-mode (0.0.5-1) unstable; urgency=low

  * New upstream release
  * Fix watchfile and control to reflect newer upstream home page
  * Now conforms to newer standards

 -- Vincent Fourmond <fourmond@debian.org>  Tue, 09 Feb 2010 01:01:05 +0100

yaml-mode (0.0.4-2) unstable; urgency=low

  * Leave a symlink to the source after byte-compilation for the help's
    link-to-source to work (closes: 541277). Thanks to Kevin Ryde
    <user42@zip.com.au> for providing the report and the solution.
  * Conforms to standards 3.8.3 (no changes required)

 -- Vincent Fourmond <fourmond@debian.org>  Tue, 08 Sep 2009 23:19:53 +0200

yaml-mode (0.0.4-1) unstable; urgency=low

  * New Upstream Version
  * Dropping 02-fix-regression: integrated upstream (it is the sole
    difference with 0.0.3)
  * Conforms to standards 3.8.1
  * Adding Vcs-* fields
  * Adding ${misc:Depends} for debhelper-induced dependencies.

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 30 May 2009 19:11:06 +0200

yaml-mode (0.0.3-6) unstable; urgency=low

  * Fix startup script to match emacs policy (Closes: #454673)
  * Added a Homepage field.
  * Updated to 3.7.3 (no changes needed)

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 08 Dec 2007 12:32:58 +0100

yaml-mode (0.0.3-5) unstable; urgency=low

  * Change regexp for file matching so emacs is not confused
    with newlines (Closes: #446184)

 -- Vincent Fourmond <fourmond@debian.org>  Tue, 16 Oct 2007 23:25:08 +0200

yaml-mode (0.0.3-4) unstable; urgency=low

  * Switch to emacs22 as preferred dependency (Closes: #433986).

 -- Vincent Fourmond <fourmond@debian.org>  Fri, 20 Jul 2007 22:04:06 +0200

yaml-mode (0.0.3-3) unstable; urgency=low

  * Add emacs21 as a dependency to keep lintian happy

 -- Vincent Fourmond <fourmond@debian.org>  Tue, 19 Jun 2007 21:58:32 +0200

yaml-mode (0.0.3-2) unstable; urgency=low

  * Package is Arch: all ;-)...

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 21 Apr 2007 02:09:18 +0200

yaml-mode (0.0.3-1) unstable; urgency=low

  * Initial release (Closes: #419622)
  * Do not use the original makefile, it messes everything up.
  * 02-fix-regression: fix bad regression from 0.0.2

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 21 Apr 2007 01:52:11 +0200

=== debian/control ===
Source: yaml-mode
Section: editors
Priority: optional
Maintainer: Vincent Fourmond <fourmond@debian.org>
Build-Depends: cdbs, debhelper (>= 9)
Standards-Version: 3.9.5
Homepage: http://github.com/yoshiki/yaml-mode
Vcs-Git: git://git.debian.org/git/users/fourmond/packages/yaml-mode.git
Vcs-Browser: http://git.debian.org/?p=users/fourmond/packages/yaml-mode.git

Package: yaml-mode
Architecture: all
Depends: emacs | emacsen, emacsen-common (>= 1.4.14), ${misc:Depends}
Description: emacs mode for YAML files
 This package provides an emacs  major mode for editing
 files in the YAML data format. It features syntax
 highlighting and auto-indentation.

=== debian/watch ===
version=3
https://github.com/yoshiki/yaml-mode/tags .*release-(.*)\.tar\.gz

## yaml-mode 0.0.13

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=0.0.9
+VERSION=0.0.13
 EMACS = emacs
 PREFIX = /usr/local
 INSTALLLIBDIR = $(PREFIX)/share/emacs/site-lisp

=== debian/changelog ===
yaml-mode (0.0.13-1) unstable; urgency=medium

  * This package has been adopted by the Debian Emacsen Team.
    (Closes: #897315)
  * New upstream version. (Closes: #893878)
  * Elpafy yaml-mode:
    - Create new binary package named elpa-yaml-mode.
    - Use standard dependencies for elpafied packages.
    - Add dummy transitional package.
    - Add Breaks and Replaces to elpa-yaml-mode.
    - Add elpa-yaml-mode.elpa
    - Update rules to use debhelper --with elpa instead of cdbs.
    - Add dh-elpa to Build-Depends.
    - Drop obsolete packaging directives: yaml-mode.dirs,
      yaml-mode.emacsen-install, yaml-mode.emacsen-remove,
      yaml-mode.emacsen-startup, yaml-mode.install
    - Add Recommends and Enhances used in all elpafied packages.
    - Add 0001-Drop-upstream-makefile-and-let-dh-elpa-manage-instal.patch
      to let dh-elpa manage installation and byte compilation.
    - Remove unneeded debian/dirs which claimed usr/bin/ and usr/sbin/
      were part of this package.
  * debian/control:
    - Add myself to uploaders.
    - Update Vcs links.
    - Switch to debhelper 11.
    - Use secure URL for upstream homepage.
  * Declare compat level 11.
  * Add gbp.conf.
  * Update watch file.  Thanks to Lev Lamberov for the patch.
    (Closes: #893889)
  * Declare Standards-Version: 4.1.4. (no additional changes needed)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 02 Jun 2018 22:51:58 -0400

=== debian/control ===
Source: yaml-mode
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
Build-Depends: debhelper (>= 11~)
             , dh-elpa
Standards-Version: 4.1.4
Homepage: https://github.com/yoshiki/yaml-mode
Vcs-Git: https://salsa.debian.org/emacsen-team/yaml-mode.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/yaml-mode

Package: elpa-yaml-mode
Architecture: all
Depends: ${elpa:Depends}
       , ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
        , emacs25
Breaks: yaml-mode (<< 0.0.13-1)
Replaces: yaml-mode (<< 0.0.13-1)
Description: emacs mode for YAML files
 This package provides an emacs major mode for editing
 files in the YAML data format. It features syntax
 highlighting and auto-indentation.

Package: yaml-mode
Architecture: all
Depends: ${misc:Depends}, elpa-yaml-mode
Description: transition package, yaml-mode to elpa-yaml-mode
 The yaml-mode addon has been elpafied. This dummy package
 helps ease the transition from yaml-mode to elpa-yaml-mode
 and is safe to remove.

## yaml-mode 0.0.14

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=0.0.13
+VERSION=0.0.14
 EMACS = emacs
 PREFIX = /usr/local
 INSTALLLIBDIR = $(PREFIX)/share/emacs/site-lisp

=== debian/changelog ===
yaml-mode (0.0.14-1) unstable; urgency=medium

  * Switch to debhelper-compat 12, and drop debian/compat.
  * Drop "yaml-mode" dummy transitional package.  Elpa-yaml-mode provides it.
  * Switch to machine-readable copyright-format 1.0. (Closes: #897942)
  * Drop emacs25 from Enhances, because it does not exist in Buster.
  * Adjust gbp.conf to reflect upstream tag format change.
  * Drop 0001-Drop-upstream-makefile-and-let-dh-elpa-manage-instal.patch
    and instead use overrides in d/rules to ignore upstream Makefile.
  * Declare Standards-Version: 4.4.0. (no additional changes required)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Thu, 18 Jul 2019 15:23:33 -0400

=== debian/control ===
Source: yaml-mode
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
Build-Depends: debhelper-compat (= 12)
             , dh-elpa
Standards-Version: 4.4.0
Homepage: https://github.com/yoshiki/yaml-mode
Vcs-Git: https://salsa.debian.org/emacsen-team/yaml-mode.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/yaml-mode

Package: elpa-yaml-mode
Architecture: all
Depends: ${elpa:Depends}
       , ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Breaks: yaml-mode (<< 0.0.14-1~)
Replaces: yaml-mode (<< 0.0.14-1~)
Provides: yaml-mode
Description: emacs mode for YAML files
 This package provides an emacs major mode for editing
 files in the YAML data format. It features syntax
 highlighting and auto-indentation.

## yaml-mode 0.0.15

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=0.0.14
+VERSION=0.0.15
 EMACS = emacs
 PREFIX = /usr/local
 INSTALLLIBDIR = $(PREFIX)/share/emacs/site-lisp

=== debian/changelog ===
yaml-mode (0.0.15-1) unstable; urgency=medium

  * New upstream release.
  * Migrate to debhelper-compat 13.
  * Add Rules-Requires-Root: no.
  * Update my copyright years.
  * Update description.
  * Declare Standards-Version: 4.5.0 (no changes required).

 -- Nicholas D Steeves <nsteeves@gmail.com>  Mon, 09 Nov 2020 13:48:35 -0500

=== debian/control ===
Source: yaml-mode
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
Build-Depends: debhelper-compat (= 13)
             , dh-elpa
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/yoshiki/yaml-mode
Vcs-Git: https://salsa.debian.org/emacsen-team/yaml-mode.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/yaml-mode

Package: elpa-yaml-mode
Architecture: all
Depends: ${elpa:Depends}
       , ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Breaks: yaml-mode (<< 0.0.14-1~)
Replaces: yaml-mode (<< 0.0.14-1~)
Provides: yaml-mode
Description: Emacs major mode for YAML files
 This package provides an Emacs major mode for editing
 files in the YAML data format. It features syntax
 highlighting and auto-indentation.

=== debian/watch ===
version=4
        opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%yaml-mode-$1.tar.gz%" \
             https://github.com/yoshiki/yaml-mode/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## yaml-mode 0.0.16

=== Makefile ===
--- 
+++ 
@@ -25,6 +25,12 @@
 	tar zcvf yaml-mode-$(VERSION).tar.gz yaml-mode-$(VERSION)
 	rm -fr yaml-mode-$(VERSION)
 
+.PHONY: test
+test:
+	$(EMACS) -Q -batch -L . \
+		-l test/yaml-mode-test.el \
+		-f ert-run-tests-batch-and-exit
+
+.PHONY: clean
 clean:
 	rm -fr \#*\# *.elc *~ *.tar.gz
-

=== debian/changelog ===
yaml-mode (0.0.16-1) unstable; urgency=medium

  * New upstream release.
  * Add Shohei YOSHIDA to copyright file.
  * Enable new build-time tests and autopkgtests.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 10 Oct 2023 22:02:42 -0400

yaml-mode (0.0.15-2) unstable; urgency=medium

  * Update my email address.
  * Drop version qualifier for emacs Recommends, because even oldoldstable
    fulfills the minimum requirements.
  * Declare Standards-Version: 4.6.2 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Sat, 18 Feb 2023 22:04:54 -0500

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,21 @@
 Section: editors
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
+Uploaders: Nicholas D Steeves <sten@debian.org>
 Build-Depends: debhelper-compat (= 13)
              , dh-elpa
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/yoshiki/yaml-mode
 Vcs-Git: https://salsa.debian.org/emacsen-team/yaml-mode.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/yaml-mode
+Testsuite: autopkgtest-pkg-elpa
 
 Package: elpa-yaml-mode
 Architecture: all
 Depends: ${elpa:Depends}
        , ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Breaks: yaml-mode (<< 0.0.14-1~)
 Replaces: yaml-mode (<< 0.0.14-1~)
